Max+
/companies/{id}/ownership-graph
Path Parameters
- Type: integerFormat: int32
id requiredSigned 32-bit integers (commonly used integer type).
Query Parameters
- Type: integerFormat: int32
max Depth Signed 32-bit integers (commonly used integer type).
Responses
Request Example for get/companies/{id}/ownership-graph
curl 'https://lens-api.tic.io/companies/1/ownership-graph?maxDepth=10' \
--header 'x-api-key: YOUR_SECRET_TOKEN'
{
"edges": [
{
"id": null,
"start": null,
"end": null,
"label": null,
"properties": null
}
],
"nodes": [
{
"id": null,
"label": null,
"properties": null
}
],
"isTruncated": true,
"maxNodesLimit": null,
"truncatedAtStage": null,
"networkRisk": {
"score": 1,
"totalCompanies": 1,
"highRiskCompanies": 1,
"highRiskCompaniesPercent": 1,
"totalPersons": 1,
"highlightedPersons": 1,
"highlightedPersonsPercent": 1,
"details": [
{
"type": null,
"id": null,
"name": null,
"intelligenceScoreTotal": null,
"highlight": null
}
]
},
"watchlists": [
{
"watchlistGuid": "123e4567-e89b-12d3-a456-426614174000",
"watchlistName": null
}
]
}